Subject: Re: question regarding HTML-TEMPLATE
From: Jan Rychter <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 10 Jul 2004 05:32:40 -0700

[...]
 Edi> This happens because FILL-AND-PRINT-TEMPLATE rebinds
 Edi> *STANDARD-OUTPUT* to the value of *DEFAULT-TEMPLATE-OUTPUT* which
 Edi> is *STANDARD-OUTPUT* (the original one!) by default.

Sneaky! I didn't see it coming from behind (the original one).

[...]
 Edi> All of these should work:

 Edi> (with-output-to-string (*default-template-output*)
 Edi> (with-input-from-string (s "test <!-- TMPL_VAR a --> one")
 Edi> (html-template:fill-and-print-template s '(:a "1"))))
[...]

And now I have also realized that I have tried this one and it worked
for me in the REPL, but didn't when called from TBNL. It turns out the
reason for this is that I didn't realize (read as: I didn't bother to
read and understand the documentation) that create-prefix-dispatcher
actually captured a closure, so modifying my function without
reevaluating my dispatch-table building code didn't have any effect!

Things now work for me and I understand them better.

Many thanks for your help and answers,
--Jan